Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List To get the status of the bot import request initiated using the Import Bot API for a new bot or an existing bot.
This API requires the JWT generated by an application created on the Admin Console.
FieldValue
MethodGET
Endpointhttps://{{host}}/api/public/bot/import/status/{{BotImportBIR}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Not Applicable; Admin Console: Bot Definition > Bot Import

Query Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.ai.Required
BotImportBIRbir-xxxxxxx-xxx-xxxx-xxxxx-xxxxxxxxxx. The BIR ID is found in the response of the Import Bot as a New Bot API endpoint.Required

Sample Request

curl -X GET 'https://{{host}}/api/public/bot/import/status/bir-xxxxxxx-xxx-xxxx-xxxxx-xxxxxxxxxx' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'

Body Parameters

No body parameters are passed.

Sample Response

{
    "_id": "bir-5fxxxxxx-a0xx-52xx-axxf-f3xxxxxxxxxx",
    "status": "success",
    "streamRefId": "d1xxxxxx-bxx7-5cxx-axx7-a8xxxxxxxxxx",
    "statusLogs": [
        {
            "taskType": "importRequest",
            "taskName": "SampleBot",
            "status": "success"
        },
        {
            "taskType": "Bot Definition",
            "taskName": "SampleBot",
            "status": "success"
        },
        {
            "taskType": "BotFunctions",
            "taskName": "Bot Functions",
            "status": "success"
        },
        {
            "taskType": "Dialog",
            "taskName": "Test Firebase Service",
            "status": "success"
        },
        {
            "taskType": "KnowledgeTasks",
            "taskName": "KnowledgeTasks",
            "status": "success"
        },
        {
            "taskType": "Utterences",
            "taskName": "Utterences",
            "status": "success"
        },
        {
            "taskType": "importBot",
            "taskName": "SampleBot",
            "status": "success"
        }
    ],
    "createdBy": "u-adxxxxxx-e9xx-5xxd-axxc-21xxxxxxxxxx",
    "requestType": "Botimport",
    "createdOn": "2022-07-29T07:24:17.496Z",
    "__v": 0,
    "streamId": "st-8axxxxxx-0xxb-5axx-9xx2-97xxxxxxxxxx"
}